summaryrefslogtreecommitdiffstats
path: root/source/kde/polkit-kde-1
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/polkit-kde-1')
-rw-r--r--source/kde/polkit-kde-1/local.options4
-rwxr-xr-xsource/kde/polkit-kde-1/polkit-kde-1.SlackBuild4
-rw-r--r--source/kde/polkit-kde-1/polkit-kde-1.nodrkonqi.diff17
3 files changed, 22 insertions, 3 deletions
diff --git a/source/kde/polkit-kde-1/local.options b/source/kde/polkit-kde-1/local.options
index 711ed9e81..4e14dd771 100644
--- a/source/kde/polkit-kde-1/local.options
+++ b/source/kde/polkit-kde-1/local.options
@@ -1,2 +1,2 @@
-#VERSION=0.95.1
-VERSION=r1120537
+VERSION=r1145544
+BUILD=2
diff --git a/source/kde/polkit-kde-1/polkit-kde-1.SlackBuild b/source/kde/polkit-kde-1/polkit-kde-1.SlackBuild
index eab0d56b1..eb896170b 100755
--- a/source/kde/polkit-kde-1/polkit-kde-1.SlackBuild
+++ b/source/kde/polkit-kde-1/polkit-kde-1.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -48,6 +48,8 @@ echo "Building polkit-kde-1-$VERSION..."
tar xvf $CWD/../src/polkit-kde-1-$VERSION.tar.?z* || exit 1
cd polkit-kde-1-$VERSION
+zcat $CWD/polkit-kde-1.nodrkonqi.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/kde/polkit-kde-1/polkit-kde-1.nodrkonqi.diff b/source/kde/polkit-kde-1/polkit-kde-1.nodrkonqi.diff
new file mode 100644
index 000000000..60fd8b7bf
--- /dev/null
+++ b/source/kde/polkit-kde-1/polkit-kde-1.nodrkonqi.diff
@@ -0,0 +1,17 @@
+--- ./agent/main.cpp.orig 2010-07-05 10:08:40.000000000 -0500
++++ ./agent/main.cpp 2011-03-30 18:52:38.636002143 -0500
+@@ -21,11 +21,14 @@
+ #include <KCmdLineArgs>
+ #include <KAboutData>
+ #include <KLocale>
++#include <cstdlib>
+
+ #include "policykitkde.h"
+
+ int main(int argc, char *argv[])
+ {
++ setenv("KDE_DEBUG", "true", 1);
++
+ KAboutData aboutData("policykit1-kde", "polkit-kde-authentication-agent-1", ki18n("PolicyKit1-KDE"), "0.96.1",
+ ki18n("PolicyKit1-KDE"), KAboutData::License_GPL,
+ ki18n("(c) 2009 Red Hat, Inc."));